Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.config
Interface ConfigManager<T>

Type Parameters:
  `T` - The type of the configuration object(s) that will be managed(loaded) by this implementation.

All Known Implementing Classes:
  AnnotatedJobConfigManager, AnnotatedStepsConfigManager, BasicConfigManager, DatabaseConfigManager, DigesterConfigManager

    public interface ConfigManager<T>

Interface that defines the contract for loading configuration parameters for Kettle. The parameter T refers to

Author:
  Alex Silva
See Also:
  `BasicConfigManager`, `DatabaseConfigManager`, `DigesterConfigManager`

Method Summary
`String` | `getId()`
`Collection<T>` | `load()` Loads the configuration parameters.
`
`<E> Collection<E>`
` | `loadAs(Class<? extends E> type)` Similar to load(), but allows callers to dynamically cast the underlying collection to a specific type.
`void` | `setId(String id)` Allows callers to set the id for this manager

Method Detail

### getId

    String getId()

  Returns:
    The unique id for this manager

### setId

    void setId(String id)

  Allows callers to set the id for this manager

  Parameters:
    `id` -

### load

    Collection<T> load()
                       throws org.pentaho.di.core.exception.KettleConfigException

  Loads the configuration parameters.

  Returns:
    A collection containing the parameters
  Throws:
    `org.pentaho.di.core.exception.KettleConfigException` - If an error occurs during load.

### loadAs

    <E> Collection<E> loadAs(Class<? extends E> type)
                         throws org.pentaho.di.core.exception.KettleConfigException

  Similar to load(), but allows callers to dynamically cast the underlying collection to a specific type. This is useful for callers who are instantiating this class dynamically and don't know the expected return type until load is called.

  Type Parameters:
    `E` - The type of the objects managed by this implementation.
  Parameters:
    `type` - A class representing this type.
  Returns:
    A collection of the parameters.
  Throws:
    `org.pentaho.di.core.exception.KettleConfigException` - If a loading problem occurs. Implementations are also required to throw this exception if cannot be cast to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD